> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves a paginated list of frontend actions for the application. Use this endpoint to browse and manage frontend action configurations.

# List Frontend Actions

For the complete error reference, see [Error Guide](/rest-api/ai-agents-apis/error-codes).


## OpenAPI

````yaml get /ai-agents/agent-builder/frontend-actions
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agent-builder/frontend-actions:
    get:
      tags:
        - Agent Builder Frontend Actions
      summary: List Frontend Actions
      description: >-
        Retrieves a paginated list of frontend actions for the application. Use
        this endpoint to browse and manage frontend action configurations.
      operationId: FrontendActionsController_getAllFrontendActions
      parameters:
        - name: limit
          required: false
          in: query
          schema:
            type: number
          description: Maximum number of results to return per page.
        - name: affix
          required: false
          in: query
          schema:
            enum:
              - prepend
              - append
            type: string
          description: >-
            To paginate over results, use the value of affix as prepend or
            append.
        - name: createdAt
          required: false
          in: query
          schema:
            type: number
          description: To be used with affix for pagination.
      responses:
        '200':
          description: Paginated list of frontend actions
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                          example: myapp_onUserClick
                        appId:
                          type: string
                          example: my-app-id
                        name:
                          type: string
                          example: User Click Action
                        description:
                          type: string
                          example: Triggered when a user clicks a button
                        triggerFunction:
                          type: string
                          example: onUserClick
                        icon:
                          type: string
                          example: https://example.com/icon.png
                        parameters:
                          type: array
                          items:
                            type: object
                            properties:
                              key:
                                type: string
                                example: userId
                              type:
                                type: string
                                example: string
                              description:
                                type: string
                                example: The user identifier
                              required:
                                type: boolean
                                example: true
                        tool:
                          type: object
                          properties:
                            name:
                              type: string
                              example: onUserClick
                            description:
                              type: string
                              example: Triggered when a user clicks a button
                            parameters:
                              type: object
                              example:
                                type: object
                                properties: {}
                                required: []
                        createdAt:
                          type: number
                          example: 1700000000000
                        updatedAt:
                          type: number
                          example: 1700000000000
                  meta:
                    type: object
                    properties:
                      previous:
                        type: object
                        example:
                          affix: prepend
                          createdAt: 1700000000000
                      current:
                        type: object
                        example:
                          limit: 10
                          count: 5
                      next:
                        type: object
                        example:
                          affix: append
                          createdAt: 1700000000000
              example:
                data:
                  - _id: myapp_onUserClick
                    appId: my-app-id
                    name: User Click Action
                    description: Triggered when a user clicks a button
                    triggerFunction: onUserClick
                    icon: https://example.com/icon.png
                    parameters:
                      - key: userId
                        type: string
                        description: The user identifier
                        required: true
                    tool:
                      name: onUserClick
                      description: Triggered when a user clicks a button
                      parameters:
                        type: object
                        properties: {}
                        required: []
                    createdAt: 1700000000000
                    updatedAt: 1700000000000
                meta:
                  previous:
                    affix: prepend
                    createdAt: 1700000000000
                  current:
                    limit: 10
                    count: 1
                  next:
                    affix: append
                    createdAt: 1700000000000
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````